import { select, 
         range,
         scaleOrdinal,
         scaleLinear,
         schemeTableau10,
         tsv,
         nest,
         pie,
         arc,
         selectAll,
         interpolate
        } 
from 'd3';


export function renderPieChart(selection,props){
  
   const data = props.data
   const height = props.height
   const width = props.width
   const pieColorScale = scaleOrdinal(props.colorScale)
   
   const arcf = arc();	
   console.log('select',data)
   const piePath = pie().value( data => data.count)(data.values);
   console.log('piePath',piePath)
   const group = selection.append("g")
   							.attr("transform",
                      "translate(" + width / 2 + "," + height / 2 + ")");
   const pathEnter = group.selectAll('path').data(piePath).enter()
   pathEnter.append('path').attr('d',d => {
              let p = arcf({
                innerRadius: 200,
                outerRadius: 300,
                startAngle: d.startAngle,
                endAngle: d.endAngle
              })
              return p;
           })
  			.attr('fill',d =>pieColorScale(d.index))
  
  const pathMerge = group.selectAll('path').data(piePath)     
}
