import { select, 
         range,
         scaleOrdinal,
         scaleLinear,
         schemeTableau10,
         tsv,
         nest,
         pie,
         arc,
         selectAll,
         interpolate
        } 
from 'd3';

export function renderOptions(selection,props,component){
    
   const data =  props.data;
   const renderChart = component.chart;
   const chartSelection = component.selection
   const colorScale = component.colorScale
   const height = component.height
   const width = component.width
  
   const svg = props.svg;
   const labels = selection.selectAll('label').data(data).enter().append('label')
   labels.attr('name','fruit')
     					.attr('type','radio')
              .text(d => d.key)
  
   labels.append('input')
  			 .attr('type','radio')
         .attr('name','fruit')
         .attr('id',d=> d.key)
  			 .on("change", data => {
     				renderChart(chartSelection,{data,'height':height,'width':width,'colorScale':colorScale})
                          })
   select('input[id=Apples]').attr('checked','')
   const chartData = data[0]
   renderChart(chartSelection,{'data':chartData,'height':height,'width':width,'colorScale':colorScale})
}